import React from "react";
import { Card } from "react-bootstrap";
import propTypes from "prop-types";
export default class SportInfoCard extends React.Component {
    constructor(props) {
        super(props);
    }

    render() {
        return (
            <Card style={{ width: "20rem" }}>
                <Card.Body>
                    <Card.Title>{this.props.sport.name}</Card.Title>
                    <Card.Subtitle className="mb-2 text-muted">{this.props.sport.minPlayers.toString()}</Card.Subtitle>
                    <Card.Text>
                        <p>{this.props.sport.description}</p>
                    </Card.Text>
                </Card.Body>
            </Card>
        );
    }
}

SportInfoCard.propTypes = {
    sport: propTypes.object,
};